package cn.freemud.platform.sdk.hualala.vo;

import java.util.List;

/**
 * All rights Reserved, Designed By www.freemud.cn
 *
 * @version V1.0
 * @Title: ${FILE_NAME}
 * @Package com.freemud.mail.core
 * @Description: ${TODO}(用一句话描述该文件做什么)
 * @author: aiqi.gong
 * @date: 2019/3/18 21:29
 * @Copyright: 2018 www.freemud.cn Inc. All rights reserved.
 * 注意：本内容仅限于上海非码科技内部传阅，禁止外泄以及用于其他的商业目
 */
public class WechatOrderMasterVo {
    private Integer orderSubType;
    private Integer orderStatus;
    private WechatUserInfoVo userInfo;
    private String discountTotalAmount;
    private String orderRemark;
    private String cannelRemark;
    private String longitude;
    private String latitude;
    private String taxNo;
    private String invoiceTitle;
    private String tableName;
    private Integer dinners;
    /**
     * yyyyMMddHHmm 预定时间，精确到分
     */
    private String orderTime;
    private String takeoutRemark;
    /**
     * 菜品信息集合
     */
    private List<WechatOrderItemVo> orderItem;
    /**
     * 支付信息列表
     */
    private List<PaymentDetailVo> payment;
    private String promotionInfo;
    private String takeoutAddress;
    private String deliveryAmount;
    private String serviceAmount;
    private String channelKey;
    private String offlinePaidAmount;
    private Integer checkoutType;
    private String isAlreadyPaid;

    public Integer getOrderSubType() {
        return orderSubType;
    }

    public void setOrderSubType(Integer orderSubType) {
        this.orderSubType = orderSubType;
    }

    public Integer getOrderStatus() {
        return orderStatus;
    }

    public void setOrderStatus(Integer orderStatus) {
        this.orderStatus = orderStatus;
    }

    public WechatUserInfoVo getUserInfo() {
        return userInfo;
    }

    public void setUserInfo(WechatUserInfoVo userInfo) {
        this.userInfo = userInfo;
    }

    public String getDiscountTotalAmount() {
        return discountTotalAmount;
    }

    public void setDiscountTotalAmount(String discountTotalAmount) {
        this.discountTotalAmount = discountTotalAmount;
    }

    public String getOrderRemark() {
        return orderRemark;
    }

    public void setOrderRemark(String orderRemark) {
        this.orderRemark = orderRemark;
    }

    public String getCannelRemark() {
        return cannelRemark;
    }

    public void setCannelRemark(String cannelRemark) {
        this.cannelRemark = cannelRemark;
    }

    public String getLongitude() {
        return longitude;
    }

    public void setLongitude(String longitude) {
        this.longitude = longitude;
    }

    public String getLatitude() {
        return latitude;
    }

    public void setLatitude(String latitude) {
        this.latitude = latitude;
    }

    public String getTaxNo() {
        return taxNo;
    }

    public void setTaxNo(String taxNo) {
        this.taxNo = taxNo;
    }

    public String getInvoiceTitle() {
        return invoiceTitle;
    }

    public void setInvoiceTitle(String invoiceTitle) {
        this.invoiceTitle = invoiceTitle;
    }

    public String getTableName() {
        return tableName;
    }

    public void setTableName(String tableName) {
        this.tableName = tableName;
    }

    public Integer getDinners() {
        return dinners;
    }

    public void setDinners(Integer dinners) {
        this.dinners = dinners;
    }

    public String getOrderTime() {
        return orderTime;
    }

    public void setOrderTime(String orderTime) {
        this.orderTime = orderTime;
    }

    public String getTakeoutRemark() {
        return takeoutRemark;
    }

    public void setTakeoutRemark(String takeoutRemark) {
        this.takeoutRemark = takeoutRemark;
    }

    public List<WechatOrderItemVo> getOrderItem() {
        return orderItem;
    }

    public void setOrderItem(List<WechatOrderItemVo> orderItem) {
        this.orderItem = orderItem;
    }

    public List<PaymentDetailVo> getPayment() {
        return payment;
    }

    public void setPayment(List<PaymentDetailVo> payment) {
        this.payment = payment;
    }

    public String getPromotionInfo() {
        return promotionInfo;
    }

    public void setPromotionInfo(String promotionInfo) {
        this.promotionInfo = promotionInfo;
    }

    public String getTakeoutAddress() {
        return takeoutAddress;
    }

    public void setTakeoutAddress(String takeoutAddress) {
        this.takeoutAddress = takeoutAddress;
    }

    public String getDeliveryAmount() {
        return deliveryAmount;
    }

    public void setDeliveryAmount(String deliveryAmount) {
        this.deliveryAmount = deliveryAmount;
    }

    public String getServiceAmount() {
        return serviceAmount;
    }

    public void setServiceAmount(String serviceAmount) {
        this.serviceAmount = serviceAmount;
    }

    public String getChannelKey() {
        return channelKey;
    }

    public void setChannelKey(String channelKey) {
        this.channelKey = channelKey;
    }

    public String getOfflinePaidAmount() {
        return offlinePaidAmount;
    }

    public void setOfflinePaidAmount(String offlinePaidAmount) {
        this.offlinePaidAmount = offlinePaidAmount;
    }

    public Integer getCheckoutType() {
        return checkoutType;
    }

    public void setCheckoutType(Integer checkoutType) {
        this.checkoutType = checkoutType;
    }

    public String getIsAlreadyPaid() {
        return isAlreadyPaid;
    }

    public void setIsAlreadyPaid(String isAlreadyPaid) {
        this.isAlreadyPaid = isAlreadyPaid;
    }
}
